Loading...
Searching...
No Matches
janus_plugin_rtp Struct Reference

Janus plugin RTP packet. More...

`#include <plugin.h>`

Collaboration diagram for janus_plugin_rtp:
[legend]

## Data Fields

int | mindex
| Index of the stream (relative to the SDP).
gboolean | video
| Whether this is an audio or video RTP packet.
char * | buffer
| The packet data.
uint16_t | length
| The packet length.
janus_plugin_rtp_extensions | extensions
| RTP extensions.

## Detailed Description

Janus plugin RTP packet.

## Field Documentation

## buffer

char* janus_plugin_rtp::buffer

The packet data.

## extensions

janus_plugin_rtp_extensions janus_plugin_rtp::extensions

RTP extensions.

## length

uint16_t janus_plugin_rtp::length

The packet length.

## mindex

int janus_plugin_rtp::mindex

Index of the stream (relative to the SDP).

Note
  On outgoing packets you can set this to -1, to let the Janus core find the first audio/video (depending on the `video` property) to send this on; notice that this tweak is only there for convenience, and to make it easier for plugins not dealing with multistream, but this shouldn't be relied upon too much as it may go away soon.

## video

gboolean janus_plugin_rtp::video

Whether this is an audio or video RTP packet.

The documentation for this struct was generated from the following file:

- plugin.h